VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo:

## Avaliable Methods
public method | get_enumerations ()
public method | set_services ()
public method | get_services ()
public method | get_documentation ()
public method | set_name ()
public method | set_metadata ()
public method | get_structures ()
public method | get_metadata ()
public method | set_structures ()
public method | set_documentation ()
public method | set_enumerations ()
public method | new ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo` class contains the metamodel information of all the service elements, structure elements and enumeration elements contained in the package element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::get_documentation | ( |  | ) |

Gets the value of 'documentation' property.

Return values

  documentation | - The current value of the field. English language documentation for a package. It can contain HTML markup and Javadoc tags. The first sentence of the package documentation is a complete sentence that identifies the package by name and summarizes the purpose of the package.

The primary purpose of a package documentation is to provide high-level context that will provide a framework in which the users can put the detail about the package contents.

String#

Code:
click to view
# Number of lines of code in get_documentation: 4
sub get_documentation {
my ($self, %args) = @_;
return $self->{'documentation'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::get_enumerations | ( |  | ) |

Gets the value of 'enumerations' property.

Return values

  enumerations | - The current value of the field. Metamodel information of all the enumeration elements contained in the package element. The key in the map is the identifier of the enumeration element and the value in the map is the metamodel information for the enumeration element.

This does not include the enumeration elements that are contained in the service elements of this package element or structure elements of this package element.

Map#

Code:
click to view
# Number of lines of code in get_enumerations: 4
sub get_enumerations {
my ($self, %args) = @_;
return $self->{'enumerations'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::get_metadata | ( |  | ) |

Gets the value of 'metadata' property.

Return values

  metadata | - The current value of the field. Generic metadata elements for the package element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Map#

Code:
click to view
# Number of lines of code in get_metadata: 4
sub get_metadata {
my ($self, %args) = @_;
return $self->{'metadata'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Dot separated name of the package element. The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::get_services | ( |  | ) |

Gets the value of 'services' property.

Return values

  services | - The current value of the field. Metamodel information of all the service elements contained in the package element. The key in the map is the identifier of the service element and the value in the map* is the metamodel information for the service element. Map#

Code:
click to view
# Number of lines of code in get_services: 4
sub get_services {
my ($self, %args) = @_;
return $self->{'services'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::get_structures | ( |  | ) |

Gets the value of 'structures' property.

Return values

  structures | - The current value of the field. Metamodel information of all the structure elements contained in the package element. The key in the map is the identifier of the structure element and the value in the map* is the metamodel information for the structure element.

This does not include the structure elements contained in the service elements that are contained in this package element.

Map#

Code:
click to view
# Number of lines of code in get_structures: 4
sub get_structures {
my ($self, %args) = @_;
return $self->{'structures'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{structures} = $args{'structures'};
$self->{enumerations} = $args{'enumerations'};
$self->{services} = $args{'services'};
$self->{metadata} = $args{'metadata'};
$self->{documentation} = $args{'documentation'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.package_info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'structures', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'StructureInfo')}))));
$self->set_binding_field('key' => 'enumerations', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'EnumerationInfo')}))));
$self->set_binding_field('key' => 'services', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ServiceInfo')}))));
$self->set_binding_field('key' => 'metadata', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ElementMap')}))));
$self->set_binding_field('key' => 'documentation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::set_documentation | ( |  | ) |

Sets the given value for 'documentation' property.

Parameters

  documentation | - New value for the field. English language documentation for a package. It can contain HTML markup and Javadoc tags. The first sentence of the package documentation is a complete sentence that identifies the package by name and summarizes the purpose of the package.

The primary purpose of a package documentation is to provide high-level context that will provide a framework in which the users can put the detail about the package contents.

Code:
click to view
# Number of lines of code in set_documentation: 5
sub set_documentation {
my ($self, %args) = @_;
$self->{'documentation'} = $args{'documentation'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::set_enumerations | ( |  | ) |

Sets the given value for 'enumerations' property.

Parameters

  enumerations | - New value for the field. Metamodel information of all the enumeration elements contained in the package element. The key in the map is the identifier of the enumeration element and the value in the map is the metamodel information for the enumeration element.

This does not include the enumeration elements that are contained in the service elements of this package element or structure elements of this package element.

Code:
click to view
# Number of lines of code in set_enumerations: 5
sub set_enumerations {
my ($self, %args) = @_;
$self->{'enumerations'} = $args{'enumerations'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::set_metadata | ( |  | ) |

Sets the given value for 'metadata' property.

Parameters

  metadata | - New value for the field. Generic metadata elements for the package element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Code:
click to view
# Number of lines of code in set_metadata: 5
sub set_metadata {
my ($self, %args) = @_;
$self->{'metadata'} = $args{'metadata'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Dot separated name of the package element. The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::set_services | ( |  | ) |

Sets the given value for 'services' property.

Parameters

  services | - New value for the field. Metamodel information of all the service elements contained in the package element. The key in the map is the identifier of the service element and the value in the map* is the metamodel information for the service element.

Code:
click to view
# Number of lines of code in set_services: 5
sub set_services {
my ($self, %args) = @_;
$self->{'services'} = $args{'services'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::PackageInfo::set_structures | ( |  | ) |

Sets the given value for 'structures' property.

Parameters

  structures | - New value for the field. Metamodel information of all the structure elements contained in the package element. The key in the map is the identifier of the structure element and the value in the map* is the metamodel information for the structure element.

This does not include the structure elements contained in the service elements that are contained in this package element.

Code:
click to view
# Number of lines of code in set_structures: 5
sub set_structures {
my ($self, %args) = @_;
$self->{'structures'} = $args{'structures'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/PackageInfo.pm